#pragma once

#include <SDL_rect.h>
#include <SDL_events.h>
#include <vector>
#include <optional>
#include <SDL_render.h>
#include "GuessCorrector.hpp"

const SDL_Point SCREEN_SIZE{800, 800};

class Game {
private:
    std::vector<const char *> all_words;
    std::unique_ptr<GuessCorrector> guess_corrector;
    const char *word;

public:
    static void Run();

    Game();

    void handle_key(SDL_Keycode event);

    void draw(SDL_Renderer *renderer);

private:
    void draw_guesses(SDL_Renderer *renderer);
};

